Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.path
Class SingularAttributeJoin<Z,X>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.path.AbstractPathImpl<X>
                          org.hibernate.ejb.criteria.path.AbstractFromImpl<Z,X>
                              org.hibernate.ejb.criteria.path.AbstractJoinImpl<Z,X>
                                  org.hibernate.ejb.criteria.path.SingularAttributeJoin<Z,X>

All Implemented Interfaces:
  Serializable, Expression<X>, Fetch<Z,X>, FetchParent<Z,X>, From<Z,X>, Join<Z,X>, Path<X>, Selection<X>, TupleElement<X>, ExpressionImplementor<X>, FromImplementor<Z,X>, JoinImplementor<Z,X>, ParameterContainer, PathImplementor<X>, PathSource<X>, Renderable, SelectionImplementor<X>, TupleElementImplementor<X>

    public class SingularAttributeJoin<Z,X>

extends AbstractJoinImpl<Z,X>

TODO : javadoc

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`AbstractFromImpl.BasicJoinScope, AbstractFromImpl.CorrelationJoinScope, AbstractFromImpl.JoinScope<X>`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Field Summary

Fields inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`DEFAULT_JOIN_TYPE`

Constructor Summary
`SingularAttributeJoin(CriteriaBuilderImpl criteriaBuilder, Class<X> javaType, PathSource<Z> pathSource, SingularAttribute<? super Z,?> joinAttribute, JoinType joinType)`

Method Summary
`protected boolean` | `canBeJoinSource()`
`SingularAttributeJoin<Z,X>` | `correlateTo(CriteriaSubqueryImpl subquery)` Refined return type
`protected FromImplementor<Z,X>` | `createCorrelationDelegate()`
`SingularAttribute<? super Z,?>` | `getAttribute()` Retrieve reference to the attribute this path represents.
`Bindable<X>` | `getModel()`

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractJoinImpl
`getJoinType, getParent, renderTableExpression`

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`canBeDereferenced, canBeFetchSource, fetch, fetch, fetch, fetch, fetch, fetch, getAlias, getCorrelationParent, getFetches, getJoins, getPathIdentifier, getPathSource, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet, locateAttributeInternal, locateManagedType, prepareAlias, prepareCorrelationDelegate, render, renderProjection`

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractPathImpl
`get, get, get, get, getParentPath, illegalDereference, locateAttribute, registerAttributePath, registerParameters, resolveCachedAttributePath, type, unknownAttribute`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.FromImplementor
`getCorrelationParent, prepareAlias, prepareCorrelationDelegate`

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.PathSource
`getPathIdentifier`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.From
`getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Constructor Detail

### SingularAttributeJoin

    public SingularAttributeJoin(CriteriaBuilderImpl criteriaBuilder,
                                 Class<X> javaType,
                                 PathSource<Z> pathSource,
                                 SingularAttribute<? super Z,?> joinAttribute,
                                 JoinType joinType)

Method Detail

### getAttribute

    public SingularAttribute<? super Z,?> getAttribute()

  Description copied from class: `AbstractJoinImpl`
  Retrieve reference to the attribute this path represents.

  Specified by:
    `getAttribute` in interface `Fetch<Z,X>`
  Specified by:
    `getAttribute` in interface `Join<Z,X>`
  Specified by:
    `getAttribute` in interface `PathImplementor<X>`
  Overrides:
    `getAttribute` in class `AbstractJoinImpl<Z,X>`
  Returns:
    The metamodel attribute.

### correlateTo

    public SingularAttributeJoin<Z,X> correlateTo(CriteriaSubqueryImpl subquery)

  Description copied from interface: `JoinImplementor`

  Refined return type

  Specified by:
    `correlateTo` in interface `FromImplementor<Z,X>`
  Specified by:
    `correlateTo` in interface `JoinImplementor<Z,X>`
  Overrides:
    `correlateTo` in class `AbstractJoinImpl<Z,X>`

### createCorrelationDelegate

    protected FromImplementor<Z,X> createCorrelationDelegate()

  Specified by:
    `createCorrelationDelegate` in class `AbstractFromImpl<Z,X>`

### canBeJoinSource

    protected boolean canBeJoinSource()

  Specified by:
    `canBeJoinSource` in class `AbstractFromImpl<Z,X>`

### getModel

    public Bindable<X> getModel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.